commit: 32c533c995a7ccdda95e51d3c8f4cd8a99e7d364
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 24 03:58:21 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 24 06:10:48 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32c533c9
dev-python/botocore: Bump to 1.38.23
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/botocore/Manifest | 1 +
dev-python/botocore/botocore-1.38.23.ebuild | 75 +++++++++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 221eaaee6aec..c940ebf6f75b 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,4 +4,5 @@ DIST botocore-1.38.19.gh.tar.gz 14653643 BLAKE2B
0c570186f0afa3a7b8443d2ce348d1e
DIST botocore-1.38.20.gh.tar.gz 14638642 BLAKE2B
f4dbe0f25d184a633a5c42c20d090e356353086731017eb5d41a5a23f8e0cd8c3aca6f2167f6f5691e19f21216cf0b8e6d6f0683461f3cf37ecd9dfb3e6f280f
SHA512
7e5484a76f4c8955227a6e5c4270f97c328f80b40da60611d0ad48dc7120dfc43e415b2dbe2d1880bd070c477ac74c366bdfac586308922f93427baadde2ddc5
DIST botocore-1.38.21.gh.tar.gz 14647008 BLAKE2B
c8e7b78c2091b7bc277c5e1d4d6c8b6ba3943813e92c11ec9c41bb04e8c1faf19e5d8f28dfe37cc92eaafbefe682e5939ec37b518ca0cadfaf9cfbf257c55762
SHA512
965bc9fcfe1763f652a662b8cd72736c066822485312a6552c197abccfcfc9dcf0dabae8cd4d5a463e312ef0f1d616d96c79fd737446ebcf7f33a01248dc3e6f
DIST botocore-1.38.22.gh.tar.gz 14649127 BLAKE2B
d550b556dadfc6c14cfc3209f34bc9573326cc7f0c18f7d03d670e6a92528bf36be25d4ed5ec11c7dd33d978b780d2459e1525a83d384c8e1cc525894c8d1078
SHA512
98d4513b3448c6bbb0a8de4d35ea7f2810b4fe2fbd129013ec3474ef8f515a5560637d6b3b28d340884e1645472671ff8d3393e7d09a3c1ef94aeece60a06f98
+DIST botocore-1.38.23.gh.tar.gz 14649388 BLAKE2B
d60b5e5d7fb445f332eed57f3317d3add82dd2123ab4199dc934a9a4d68c2b91947a9e50e3847da4bed06aac402542f2bbe4ea92bd47d72de86be3f8f5571b2f
SHA512
d602d19c9160d10aeb06aae911052da50dd66ef0f43e459d5911bed24acba5ac948781f1e8f6f43b377847670f2d074e044f454b043ba33859fc0ca0ba67976a
DIST botocore-1.38.8.gh.tar.gz 14606167 BLAKE2B
cb92f6014349f5188d62ddeb043e7532c50c7edc984cabae918825cdace981694c37ba656afcbbb64e65e275da4980d5f256a945bbcc63f9609272b08690c3d5
SHA512
bc9096051fde740a908ef0912a0c205595e7df653a349c167f616a788423578ba6b3aed6fe6213f528faa32b1c946abf0ac66dd81afdc05d41d12a4af4f7e818
diff --git a/dev-python/botocore/botocore-1.38.23.ebuild
b/dev-python/botocore/botocore-1.38.23.ebuild
new file mode 100644
index 000000000000..535354aa3035
--- /dev/null
+++ b/dev-python/botocore/botocore-1.38.23.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86
~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ case ${EPYTHON} in
+ python3.14)
+ EPYTEST_DESELECT+=(
+ tests/unit/test_utils.py::test_lru_cache_weakref
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}